# SPDX-FileCopyrightText: 2024 UL Research Institutes
# SPDX-License-Identifier: Apache-2.0
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

header:
  - comment: never
    license:
      spdx-id: Apache-2.0
      content: |-
        SPDX-FileCopyrightText: 2024 UL Research Institutes
        SPDX-License-Identifier: Apache-2.0
    paths:
      - "**/*.py"
      - "**/*.yml"
      - "**/*.yaml"
      - "**/*.toml"
    paths-ignore:
      - venv/
      - "*.md"
      - "*.rst"
      - "*.json"
      - LICENSE
      - NOTICE
      - .secrets.baseline
      - .gitignore
      - .dockerignore
